Subject: bug#20626: Wishlist: M-x shell-command-on-rectangle-region

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Jun 2015 23:45:16 -0400

> e.g. a list in the form ‘(rectangle …)’.  Then the command's body
> will check the car of the arg REGION and act accordingly depending
> on the region shape.

Same difference.  It'd still have rectangle-specific code.

Instead it should call something like region-extract-function to do what
it needs to do and *this* thing will have rectangle-specific code (via
something like an add-function in rect.el).

IIUC the current region-extract-function doesn't satisfy all the needs
of shell-command-on-region, so either it will have to be extended again,
or we have to add more region-<foo>-function or equivalent methods.

        Stefan